<template>
  <div class="home">
    <van-button type="primary" @click="d">主要按钮</van-button>
    <van-swipe-cell>
      <template #left>
        <van-button square type="primary" text="选择" />
      </template>
      <van-cell :border="false" title="单元格" value="内容" />
      <template #right>
        <van-button square type="danger" text="删除" />
        <van-button square type="primary" text="收藏"/>
      </template>
    </van-swipe-cell>
  </div>
</template>

<script>
import { Button} from 'vant';
import { SwipeCell,Cell } from 'vant';
export default {
  name: 'Home',
  components: {
    [Button.name]: Button,
    [SwipeCell.name]: SwipeCell,
    [Cell.name]: Cell,
  },
  methods:{
    d(){
            this.$router.push({
                name:'About'
            })
        }
  }
}
</script>
<style lang="less" scoped>
  .home{
    width: 375px;
    height: 88px;
  }
</style>

